%                                                                  %
%              Corso di informatica industriale                    %
%                                                                  %
%               Script risoluzione esercizio 10                    %
%           Esercitazione in laboratorio del 23/1/2009             %
%******************************************************************%
% Testo: Approssimazione della serie geometrica

%% Pulizia dell'ambiente di lavoro, prima di intraprendere la soluzione

clear  %pulizia completa dell workspace
clc    %Pulizia del Command window

%% Risoluzione esercizio
%Note: il comando 'disp' ha la sola funzione di visualizzare a video
%      le operazioni effettuate dallo script

%Inserisco il valore di x con la funzione input, non richiesto dal testo
%NB: attenzione al criterio di convergenza della serie!!!
x=input('Inserisci x: ')

%calcolo il valore teorico della serie
disp('>> valoreteorico=1/(1-x)')
valoreteorico=1/(1-x)

%calcolo della serie.

%genero un vettore, da 0 a n (11, ultimo indice della serie), 12 termini in
%tutto
disp('>> n=0:11')
n=0:11

%computo la serie
disp('>> sum(x.^n)')
sum(x.^n)

%valuto la differenza tra il valore teorico atteso e quello approssimato
%dalla serie finita
disp('>> differenza=valoreteorico-ans')
differenza=valoreteorico-ans

disp('premi un tasto per continuare...')
pause

%ripeto l'operazioni viste, cambiando il vettore n, fino a 52 termini
disp('>> n51=0:51;')
n51=0:51;
disp('>> sum(x.^n51)')
sum(x.^n51)

disp('>> differenza=valoreteorico-ans')
differenza=valoreteorico-ans

disp('premi un tasto per continuare...')
pause

%ripeto l'operazioni viste, cambiando il vettore n, fino a 102 termini
disp('>> n101=0:101;')
n101=0:101;
disp('>> sum(x.^n101)')
sum(x.^n101)
disp('>> differenza=valoreteorico-ans')
differenza=valoreteorico-ans


%conclusione: la serie geometrica  ben approssimata dal valore teorico a
%cui tende, gi con solo n=11. Aumentando n, aumenta la precisione
%(la differenza, e quindi l'errore, cala). Come si  visto in analisi1, 
%possibile pensare che per n= Inf si abbia errore nullo, con validazione
%della teoria vista.
%Inoltre si nota che con x=0.63 e x=-0.63 si ottengono risultati
%differenti: questo  legato a problemi di tipo numerico, mentre
%teoricamente si dovrebbero ottenere errori uguali.
