%                                                                  %
%              Corso di informatica industriale                    %
%                                                                  %
%               Script risoluzione esercizio 11                    %
%           Esercitazione in laboratorio del 23/1/2009             %
%******************************************************************%
% Testo: Verificare la bont di una serie che approssima il valore del
% pigreco

%% Pulizia dell'ambiente di lavoro, prima di intraprendere la soluzione

clear  %pulizia completa dell workspace
clc    %Pulizia del Command window

%% RIsoluzione esercizio
%Note: il comando 'disp' ha la sola funzione di visualizzare a video
%      le operazioni effettuate dallo script

%La serie in analisi tende a pigreco, ovvero assume tale valore per un
%numero infinito di termini. Volendo farne una stima numerica, quindi
%finita, la bont della stima dipende dal numero di termini che compongono
%la serie: pi termini ho, migliore sar l'approssimazione e l'errore
%minimizzato. Per determinare quanti termini occorrono per avere una buona
%approssimazione, occorre fissare l'errore tollerabile, sapendo che
%l'errore  definibile come la differenza tra il valore reale e quello
%approssimato. (per esempio, fisso che l'errore debba essere < 0.005
%Si procede quindi per tentativi, ripetendo pi volte l'operazione fintanto
%che non si ottiene il numero di termini minimo accettabile.

%Per agevolare le operazioni di inserimento dati, uso la funzione 'input'
% Non richiesto dall'esercitazione
n=input('inserire il numero di termini')

% Per definire la serie, occorre fare un paio di considerazioni. Si nota
% che i termini hanno segno alternato, negativi i termini pari, positivi i
% dispari. Inoltre ogni termine  una frazione, con numeratore unitario e
% denominatore che si incrementa di 2 rispetto al termine successivo
% (partendo da denominatore unitario.

%Si definisce allora il vettore denominatori, come vettore che parte dal
%valore 1 fino a 2*n termini, incrementando di 2 di volta in volta
disp('>> denominatori=1:2:n')
denominatori=1:2:2*n

%Si crea poi un vettore di stessa dimensione del precedente per il
%numeratore, di valore -1 o +1, a seconda dell'indice dell'elemento del
%vettore
disp('>> segnoalterno=(-1).^[0:n-1]')
segnoalterno=(-1).^[0:n-1]


%computo infine la serie
disp('>> totale=4*(sum(segnoalterno./denominatori))')
totale=4*(sum(segnoalterno./denominatori))

%calcolo l'errore finale
disp('>> differenza=pi-totale')
differenza=pi-totale

%l'errore  inferiore all'errore fissato? se si, il numero di termini 
%accetabile, se no ripetere con un numero di termini maggiore (n=200,
%verificare)