%                                                                  %
%              Corso di informatica industriale                    %
%                                                                  %
%               Script risoluzione esercizio 13                    %
%           Esercitazione in laboratorio del 23/1/2009             %
%******************************************************************%
% Testo: Serie di fourier di un gradino
%% Pulizia dell'ambiente di lavoro, prima di intraprendere la soluzione

clear  %pulizia completa dell workspace
clc    %Pulizia del Command window

%% RIsoluzione esercizio
%Note: il comando 'disp' ha la sola funzione di visualizzare a video
%      le operazioni effettuate dallo script

%La funzione a cui tende la serie di fourier  compresa nell'intervallo
%[-pi; pi], quindi genero un vettore da -pi a pi, con incremento a piacere
%(0.01)
disp('>> x=-pi:.01:pi;')
x=-pi:.01:pi;

% Valuto la serie, usando il vettore appena creato.
disp('>> f=4/pi*(sin(x)/1+sin(3*x)/3+sin(5*x)/5+sin(7*x)/7);')
f=4/pi*(sin(x)/1+sin(3*x)/3+sin(5*x)/5+sin(7*x)/7);

%genero la funzione a cui dovrebbe tendere la serie, utilizzando la
%funzione 'sign' sul vettore generato in precedenza. help sign per saperne
%di pi
disp('>> f2=sign(x);')
f2=sign(x);

%ancora una volta, si usa la funzione 'plot' per graficare il risultato.
%Volendo graficare due funzioni sullo stesso grafico,  sufficiente
%definire la prima curva (ascisse ed ordinate) e poi la seconda, in modo
%analogo. vedi help plot per ulteriori informazioni sulla sintassi
disp('>> plot(x,f,x,f2)')
plot(x,f,x,f2)