%                                                                  %
%              Corso di informatica industriale                    %
%                                                                  %
%               Script risoluzione esercizio 3                     %
%           Esercitazione in laboratorio del 23/1/2009             %
%******************************************************************%
% Testo: Bandiere (composizione di matrici)

%% Pulizia dell'ambiente di lavoro, prima di intraprendere la soluzione

clear  %pulizia completa dell workspace
clc    %Pulizia del Command window

%% RIsoluzione esercizio
%Note: il comando 'disp' ha la sola funzione di visualizzare a video
%      le operazioni effettuate dallo script
%Note2: La dimensione della matrice finale creata non  importante per la
%soluzione, quel che si richiede  di crearle utilizzando altre sottomatrici
%% Italia

disp('>> Italia=[ones(4,2) zeros(4,2) 2*ones(4,2)]')
Italia=[ones(4,2) zeros(4,2) 2*ones(4,2)]

disp('premi un tasto per continuare...')
pause
%% Germania
disp('>> Germania=[ones(2,6); zeros(2,6); 2*ones(2,6)]')
Germania=[ones(2,6); zeros(2,6); 2*ones(2,6)]

disp('premi un tasto per continuare...')
pause
%% Inghilterra

%La bandiera dell'inghilterra  quella pi complessa, e vi possono essere
%pi soluzioni, tutte corrette. Se ne presentano due.

%Soluzione 1
%Si nota la simmetria della bandiera Inglese, e la si compone con
%semplicit sfruttando la simmetria.

%Si crea una matrice A, che rappresenta un angolo della bandiera
disp('>> A=ones(2,2')
A=ones(2,2)
%si crea un vettore B, rappresentante una striscia orizzontale
disp('>> B=zeros(1,5)')
B=zeros(1,5)
%Si compone la prima met verticale
disp('>> C=[A; B(1:2); A]')
C=[A; B(1:2); A]
%Infine si compone la bandiera inglese
disp('>> Ing1=[C B'' C]')
Ing1=[C B' C]

disp('premi un tasto per continuare...')
pause
%Soluzione 2
%Si pu vedere la bandiera come una matrice di soli 1, tranne una riga ed
%una colonna di zeri. pertanto creo la matrice di 1
disp('>> Ing2=ones(5,5)')
Ing2=ones(5,5)
% Si azzera la terza riga
disp('>> Ing2(3,:)=zeros(1,5)')
Ing2(3,:)=zeros(1,5)
%Si azzera la terza colonna
disp('>> Ing2(:,3)=zeros(5,1)')
Ing2(:,3)=zeros(5,1)

disp('Fine')
