%                                                                  %
%              Corso di informatica industriale                    %
%                                                                  %
%               Script risoluzione esercizio 4                     %
%           Esercitazione in laboratorio del 23/1/2009             %
%******************************************************************%
% Testo: Operazioni con vettori guidato. Per il testo, si vedano i lucidi
% dell'esercitazione

%% Pulizia dell'ambiente di lavoro, prima di intraprendere la soluzione

clear  %pulizia completa dell workspace
clc    %Pulizia del Command window

%% Risoluzione esercizio
%Note: il comando 'disp' ha la sola funzione di visualizzare a video
%      le operazioni effettuate dallo script

%Si definisce il vettore 'portfolio' contenente le quantit delle azioni
%possedute
disp('>> portfolio=[100;20;50]')
portfolio=[100;20;50]
disp('premi un tasto per continuare...')
pause

%Per rispondere alla seconda domanda, si definisce un vettore 'acquisto'
%contenente le variazioni sulle azioni posssedute, che si andr poi a
%sommare al vettore 'portfolio'
disp('>> acquisto=[-50;100;0]')
acquisto=[-50;100;0]
disp('>> portfolio=portfolio+acquisto')
portfolio=portfolio+acquisto
disp('premi un tasto per continuare...')
pause

%Per la terza domanda, si definisce il vettore 'prezzi', contentente il
%valore di ogni azione
disp('>> prezzi=[150,400,200]')
prezzi=[150,400,200]
%il valore totale si ottiene moltiplicando il vettore 'prezzi' con il
%vettore 'portfolio'
disp('>> valoretot=prezzi*portfolio')
valoretot=prezzi*portfolio
disp('premi un tasto per continuare...')
pause

%Si genera il nuovo vettore portfolio, sovrascrivendo il precedente; si
%lascia alterato il contenuto gi esistente, aggiungendo una colonna con le
%nuove quantit aggiunte, in modo da tener separate le quantit del primo
%portfolio.
%in altre parole, le righe identificano il tipo di azione, mentre le
%colonne le quantit appartenenti al 1 o 2 portfolio.
disp('>> portfolio=[portfolio,[40;70;120]]')
portfolio=[portfolio,[40;70;120]]
%Il valore totale si computa in modo del tutto analogo al precedente
%NB: non si ottiene uno scalare, ma un vettore con i valori totali dei due
%portfolii
disp('>> valoretot=prezzi*portfolio')
valoretot=prezzi*portfolio
%se voglio il valore totale, basta sommare gli elementi nel vettore
%valoretot
disp('>> totale=sum(valoretot)')
totale=sum(valoretot)
disp('premi un tasto per continuare...')
pause

%inserisco l'andamento delle azioni riportate in una tabella in una matrice
disp('>> prezzi=[prezzi')
    disp('160 380 200')
    disp('180 380 210')
    disp('175 428 209')
    disp('180 420 210]')

prezzi=[prezzi
    160 380 200
    180 380 210
    175 428 209
    180 420 210]

%Per valutare l'andamento del portfolio,  sufficiente ricalcolare
%nuovamente il valore totale in modo analogo a quanto gi visto
%NB: avr tanti elementi quanti sono i mesi che vado ad analizzare
disp('>> valoretot=prezzi*portfolio')
valoretot=prezzi*portfolio

%se voglio graficare l'andamento, utilizzo la funzione plot.
%Occorre per definire prima il vettore delle ascisse, per fissare un
%riferimento su valori da plottare. Pertanto creo un vettore di numeri
%interi avente dimensione pari a quella del vettore da graficare
%('valoretot')
plot([0:1:length(valoretot)-1],valoretot);

disp('FINE')
disp('premi un tasto per continuare...')
pause

