%              Corso di informatica industriale                    %
%                                                                  %
%               Script risoluzione esercizio 8                     %
%           Esercitazione in laboratorio del 23/1/2009             %
%******************************************************************%
% Testo: Ordinamento elementi matrice quadrata

%% Pulizia dell'ambiente di lavoro, prima di intraprendere la soluzione

clear  %pulizia completa dell workspace
clc    %Pulizia del Command window

%% Risoluzione esercizio
%Note: il comando 'disp' ha la sola funzione di visualizzare a video
%      le operazioni effettuate dallo script

%La soluzione di quest'esercizio non  unica, vi sono diverse soluzioni
%possibili, alcune pi efficaci di altre, a seconda del tipo di matrice. Si
%vede in dettaglio un caso particolare

%Genero la matrice quadrata, di dimensione 5, con la funzione magic
disp('>> A=magic(5)')
A=magic(5)

%Si pu pensare di ordinare gli elementi utilizzando  la funzione 'sort'
%che ordina le colonne di una matrice (vedi help sort per maggiori informazioni)
%per non eliminare la matrice di partenza, ci si appoggia su una matrice
%ausiliaria
disp('>> aux=sort(A)')
aux=sort(A)

%Si pu pensare di effettuare la trasposta della matrice, per poi ripetere
%l'operazione
disp('>> aux=aux''')
aux=aux'
disp('Ordinato per colonne')
disp('>> ordinato=sort(aux)')
ordinato=sort(aux)
%Se voglio ordinare per righe,  sufficiente eseguire la trasposta del
%risultato ottenuto
disp('Ordinato per righe')
disp('>> ordinato=ordinato''')
ordinato=ordinato'

%NB: Che succede se si applica la stessa soluzione ad una matrice generata
%con magic(10)?