%                  Universit di Ferrara                           %
%                                                                  %
%              Corso di informatica industriale                    %
%                                                                  %
%               Script risoluzione esercizio 1                     %
%           Esercitazione in laboratorio del 23/1/2009             %
%******************************************************************%
% L'esecuzione dello script risolve il seguente problema:
%Testo: Determinare le radici dell'equazione di secondo grado 
%            x^2 - 5x + 6

%% Pulizia dell'ambiente di lavoro, prima di intraprendere la soluzione

clear  %pulizia completa dell workspace
clc    %Pulizia del Command window

%% Inserimento dati
coeff=[ 1 -5 6]

%% Svolgimento esercitazione
%Note: il comando 'disp' ha la sola funzione di visualizzare a video
%      le operazioni effettuate dallo script


%Calcolo radici utilizzando le equazioni note da analisi 1
disp('>> x1=(-b+sqrt(b^2-4*a*c))/(2*a)')
x1=(-coeff(2)+sqrt(coeff(2)^2-4*coeff(1)*coeff(3)))/(2*coeff(1))

disp('>> x2=(-b-sqrt(b^2-4*a*c))/(2*a)')
x2=(-coeff(2)-sqrt(coeff(2)^2-4*coeff(1)*coeff(3)))/(2*coeff(1))

%Calcolo radici utilizzando la funzione 'roots'
disp('>> roots(coeff)')
roots(coeff)

disp('premi un tasto per continuare...')
pause


