%                  Universit di Ferrara                           %
%                                                                  %
%              Corso di informatica industriale                    %
%                                                                  %
%               Script risoluzione esercizio 2                     %
%           Esercitazione in laboratorio del 23/1/2009             %
%******************************************************************%
% L'esecuzione dello script risolve il seguente problema:
%Testo: Dato un vettore, estrapolare due vettori contententi
% rispettivamente gli elementi di indici pari e dispari del vettore di
% partenza

%% Pulizia dell'ambiente di lavoro, prima di intraprendere la soluzione

clear  %pulizia completa dell workspace
clc    %Pulizia del Command window


%% Inserimento dati
x=[4 8 15 16 23 42]

%% Risoluzione esercitazione
%Note: il comando 'disp' ha la sola funzione di visualizzare a video
%      le operazioni effettuate dallo script

%Per risolvere l'esercizio, basta osservare che richiamando due concetti:
%1)se x  vettore, allora  x(i)  l'i-esimo elemento del vettore, dove i  
%  il valore dell'indice del vettore, compreso tra 1 e lunghezza massima
%  del vettore (determinabile con la funzione length(<nome vettore>).
%2) possibile ottenere una successione di valori numerici utilizzando tale
% espressione: 'xx:yy:zz', dove xx--> Valore iniziale della successione
%                               yy--> Valore di incremento della
%                               successione, tra un valore e l'altro
%                               zz--> Valore finale della successione
% Pu essere creata per definire vettori in modo rapido. In
% quest'esercitazione,  sufficiente generare un vettore indici che
% individui gli indici pari o dispari

%indice pari, parte dal valore 2, incremento di 2 , fino alla fine del
%vettore ('end')
disp('>> xpari=x(2:2:end)')
xpari=x(2:2:end)

%indice dispari, parte dal valore 1, incremento di 2 , fino alla fine del
%vettore ('end')
disp('>> xdispari=x(1:2:end)')
xdispari=x(1:2:end)