%                                                                  %
%              Corso di informatica industriale                    %
%                                                                  %
%               Script risoluzione esercizio 5                     %
%           Esercitazione in laboratorio del 23/1/2009             %
%******************************************************************%
% Testo: Data la tabella riportata nei lucidi, rispondere a diverse domande
% che richiedono un operazione sui dati della tabella

%% Pulizia dell'ambiente di lavoro, prima di intraprendere la soluzione

clear  %pulizia completa dell workspace
clc    %Pulizia del Command window

%% Inserimento dati
%Note: il comando 'disp' ha la sola funzione di visualizzare a video
%      le operazioni effettuate dallo script

%Per prima cosa, creiamo i vettori pagaoraria, pezzi e paghe, in
%riferimento alla tabella riportata nei lucidi degli esercizi di
%laboratorio
%NB: al posto di un 3 vettori, si pu costruire una matrice; viste le
%richieste, risulta comodo operare con 3 vettori separati, ma una soluzione
%analoga con una matrice  in ogni caso corretta

disp('>> pagaoraria=[5 5.5 6.5 5 6.25]')
pagaoraria=[5 5.5 6.5 5 6.25]
disp('>> oresett=[40 43 37 50 45]')
oresett=[40 43 37 50 45]
disp('>> pezzi=[1000 1100 1000 1200 1100]')
pezzi=[1000 1100 1000 1200 1100]
disp('premi un tasto per continuare...')
pause

%% Risoluzione esercizio

%quanto guadagna ogni operaio?
%per rispondere a questa domanda,  sufficiente effettuare una
%moltiplicazione elemento per elemento di vettori paga oraria e oresett
disp('>> paghe=pagaoraria.*ore')
paghe=pagaoraria.*oresett
disp('premi un tasto per continuare...')
pause

%Qual' il salario totale di tutti gli operai?
%Si chiede in pratica di sommare gli elementi della riga 'paghe', che per
%noi  un vettore.  quindi possibile usare direttamente la funzione 'sum',
%che effettua la somma di tutti gli elementi nel vettore in argomento
disp('>> salariototale=sum(paghe)')
salariototale=sum(paghe)
disp('premi un tasto per continuare...')
pause

%Quanti pezzi vengono prodotti?
%In analogia a quanto detto, si riutilizza la funzione 'sum'
disp('>> pezzitotale=sum(pezzi)')
pezzitotale=sum(pezzi)
disp('premi un tasto per continuare...')
pause

%Qual' il costo medio di un prezzo?
%Il costo medio si ricava considerando il numero di pezzi prodotti in totale
% ed il costo totale di produzione (costo operai). Al pezzo, quindi si ha:
% costo pezzo= salariototale/pezzitotale, valori gi calcolati con le
% domande precedenti
disp('>> costopezzo=salariototale/pezzitotale')
costopezzo=salariototale/pezzitotale
disp('premi un tasto per continuare...')
pause

%Quante ore occorrono in media per pezzo?
%Considerazioni analoghe al precedente, con la differenza che occorre
%conoscere le ore totali, fin'ora non calcolate, valore ottenibile
%facilmente con la funzione 'sum'
disp('>> oreperpezzo=sum(oresett)/pezzitotale')
oreperpezzo=sum(oresett)/pezzitotale
disp('premi un tasto per continuare...')
pause

%Qual' l'operaio pi efficiente?
%Per rispondere  aquesta domanda si crea un vettore efficienza, dove ogni
%elemento valuta l'efficienza del singolo operaio. L'efficienza  definita
%come il rapporto tra pezzi prodotti dall'operaio e dalle ore totali
%impiegate per produrre quei pezzi; occorre pertanto un operazione di
%divisione elemento per elemento tra i vettori 'pezzi' e 'oresett'
disp('>> efficienza=pezzi./oresett')
efficienza=pezzi./oresett

%Ora che sono state calcolate tutte le efficienze dei singoli operaio,
%occorre individuare l'operaio migliore, ovveco colui che ha efficienza pi
%elevata. L'operazione si riduce a ricavare il valore massimo contenuto in
%un vettore (efficienza) e l'indice corrispondente, che individua
%l'operaio. A tal scopo si utilizza la funzione 'max'. help max per
%ulteriori informazioi
disp('>> [efficienzamax,chi]=max(efficienza)')
[efficienzamax,chi]=max(efficienza)

disp('FINE!  premi un tasto per continuare...')
pause
