%                  Universit di Ferrara                           %
%                                                                  %
%              Corso di informatica industriale                    %
%                                                                  %
%               Script risoluzione esercizio 9                     %
%           Esercitazione in laboratorio del 23/1/2009             %
%******************************************************************%
% Testo: Calcolare la distanza euclidea tra due punti nello spazio e nel
% piano

%% Pulizia dell'ambiente di lavoro, prima di intraprendere la soluzione

clear  %pulizia completa dell workspace
clc    %Pulizia del Command window

%% RIsoluzione esercizio
%Note: il comando 'disp' ha la sola funzione di visualizzare a video
%      le operazioni effettuate dallo script

%Soluzione 'iterativa', la funzione 'input' attende e legge da command
%window una variabile. Non richiesto nell'esercitazione.
a=input('Inserire il vettore delle coordinate del primo punto: ')
b=input('Inserire il vettore delle coordinate del secondo punto: ')

%Ora le variabili X e Y, vettori, 
%contengono i valori [x1 x2 .. xn], [y1 y2.. yn].
%facendo la differenza direttamente coi vettori, risparmio tempo rispetto
%che computare singolarmente ogni elemento
disp('>> differenza=a-b')
differenza=a-b

%calcolo la distanza, come da formula
disp('>> distanza=sqrt(sum(differenza.^2))')
distanza=sqrt(sum(differenza.^2))


disp('NB: se sono due vettori riga possiamo fare:')
disp('>> distanza=sqrt(differenza*differenza'')')
distanza=sqrt(differenza*differenza')

